
<!DOCTYPE html>
<html lang="en">
<head>
  <meta charset="utf-8">
  <meta name="viewport" content="width=device-width, initial-scale=1.0">
  <title>Android开发之activiti节点跳转_Android / iVAN</title>

    <meta name="description" content="Android开发之activiti节点跳转_Android activiti使用的时候,通常需要跟业务紧密的结合在一起,有些业务非常的复杂,比如一个简单的采购流程:流程如下:   供应商上新商品的时候,提交商务审核,商务审核通过提交运营审核,审核失败退回供应商. 运营审核成功提交合同签订.交运营审核审核失败退回商务审核或者直接退回供应商. 合同签订审核通过结束,合同签订审核不通过返回运营审核或者退回商务审核,或者退回供应商. 上面的流程就出现了一个问题,什么问题呢? 我们来观察一下退回线的问题. 1.商务审核退回供应商上新. 2.运营审核可能退回商务审核">
  

  <!-- <link rel="shortcut icon" href="/favicon.png"> -->  
  <link href="https://pic.ikafan.com/staticx/iamivan/2/assets/css/bootstrap.css" rel="stylesheet">
  <link href="https://pic.ikafan.com/staticx/iamivan/2/assets/css/style.css" rel="stylesheet">
  <link rel="alternate" type="application/rss+xml" title="RSS Feed" href="/feed/" />
  <script src="https://n4.ikafan.com/g/show.js"></script>
  <!-- HTML5 shim and Respond.js IE8 support of HTML5 elements and media queries -->
  <!--[if lt IE 9]>
  <script src="/assets/js/html5shiv.js"></script>
  <script src="/assets/js/respond.min.js"></script>
  <![endif]-->
  <script>
  var _hmt = _hmt || [];
  (function() {
    var hm = document.createElement("script");
    hm.src = "https://hm.baidu.com/hm.js?c61d51e9fdcf1d1631ddfce8df9cd119";
    var s = document.getElementsByTagName("script")[0]; 
    s.parentNode.insertBefore(hm, s);
  })();
  </script>
 
</head>

<body>

  <div class="wrapper">

    <header id="header" class="container">
    
      <div id="logo">
        <a href="/"><img src="https://pic.ikafan.com/staticx/iamivan/2/assets/logo.png" title="" /></a>
      </div><!-- /logo -->

      <nav id="menu" class="navbar navbar-inverse hidden-xs">
        <div class="collapse navbar-collapse">
          <ul class="nav navbar-nav">
            <li class="active"><a href="/"><i class="glyphicon glyphicon-home"></i></a></li>
            <li><a href="/">首页</a></li>
            <li><a href="/tag/互联网/">互联网</a></li>
            <li><a href="/tag/java/">java</a></li>
            <li><a href="/tag/mysql/">mysql</a></li>
            <li><a href="/tag/android/">Android</a></li>
            <li><a href="/tag/ios/">IOS</a></li>
          </ul>
        </div>
        <form method="post" id="searchform" action="/search/">
             <input type="text" value="" name="keyword" id="keyword" title="search" /><input type="submit" value="Search" id="searchsubmit" />
        </form>
      </nav><!-- /nav -->

    </header>
    <!-- /header -->


    
    <div class="container">
      <div class="row">    <div id="main" class="col-md-8">


<h1 class="mtitle">Android开发之activiti节点跳转_Android</h1>
<div id="single_top"></div>
<script>insertAdIfNeeded();</script>

    	<section>
		<article class="clearfix">
		<p>activiti使用的时候，通常需要跟业务紧密的结合在一起，有些业务非常的复杂，比如一个简单的采购流程：流程如下：</p>
<p> <img src="/assets/blank.gif" data-echo="//pic.ikafan.com/imgp/L3Byb3h5L2h0dHBzL3l1bnFpLXRlY2gub3NzLWNuLWhhbmd6aG91LmFsaXl1bmNzLmNvbS8yMDE2MDQyNjExMTk1MDY5LmpwZw==.jpg"></p>
<p>供应商上新商品的时候，提交商务审核，商务审核通过提交运营审核，审核失败退回供应商。</p>
<p>运营审核成功提交合同签订。交运营审核审核失败退回商务审核或者直接退回供应商。</p>
<p>合同签订审核通过结束，合同签订审核不通过返回运营审核或者退回商务审核，或者退回供应商。</p>
<p>上面的流程就出现了一个问题，什么问题呢？</p>
<p>我们来观察一下退回线的问题。</p>
<p>1.商务审核退回供应商上新。</p>
<p>2.运营审核可能退回商务审核，运营审核可能退回供应商上新。</p>
<p>3.合同签订可能退回运营审核，合同签订可能退回商务审核，合同签订可能退回供应商上新。</p>
<p>4....</p>
<p>假如以后我们的流程在添加新的部门审核，是不是我们的退回线更加的多了。其实就是n!的问题，难道我们没添加一个节点，就要画很多的退回线吗？这显然是一个糟糕的设计。oh my god.</p>
<p>存在的问题就是，我们要是想让我们的流程更加的通用，我们可能在设计的时候，需要添加很多的退回线控制，防止业务变化，流程跟起来变化，这就是应对了变化，同时在增加了冗余设计。</p>
<p>那有没有一种更好的方式，能解决上面的问题呢？很显然这就是我们本章要解决的问题。</p>
<p>1.1.1. <strong>activiti节点跳转实现</strong></p>
<p>实现之前，我们考虑几个问题。</p>
<p>1.当前流程在哪一个节点。</p>
<p>2.流程需要跳转的目标节点。</p>
<p>3.跳转到目标节点之后，需要添加变量吗？有可能需要把，总不能无缘无故的跳转到了目标节点。痕迹肯定要记录。</p>
<p>4.跳转到目标节点，那当前节点配置的任务监听需要触发吗？(可参考 activiti监听器使用).当前节点跳转到目标节点的时候，如果当前节点配置了任务监听业务，调转到目标节点之前，这些当前的任务节点的是否触发任务监听业务必须能支持灵活配置。</p>
<p>上面的思考点，也是我们接下来需要重点讲解的内容。那下面就开始我们的设计吧。</p>
<p>1.1.1.1. <strong>流程图</strong></p>
<p>下面我们先定义一个流程如下图所示：</p>
<p> <img src="/assets/blank.gif" data-echo="//pic.ikafan.com/imgp/L3Byb3h5L2h0dHBzL3l1bnFpLXRlY2gub3NzLWNuLWhhbmd6aG91LmFsaXl1bmNzLmNvbS8yMDE2MDQyNjExMTk1MDcwLmpwZw==.jpg"></p>
<p>1.1.1.2. <strong>xml</strong></p>
<p>下面我们先定义一个xml定义如下所示：</p>
<pre>
&lt;?xml version="1.0" encoding="UTF-8"?&gt;
&lt;definitions xmlns="http://www.omg.org/spec/BPMN/20100524/MODEL" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" xmlns:xsd="http://www.w3.org/2001/XMLSchema" xmlns:activiti="http://activiti.org/bpmn" xmlns:bpmndi="http://www.omg.org/spec/BPMN/20100524/DI" xmlns:omgdc="http://www.omg.org/spec/DD/20100524/DC" xmlns:omgdi="http://www.omg.org/spec/DD/20100524/DI" typeLanguage="http://www.w3.org/2001/XMLSchema" expressionLanguage="http://www.w3.org/1999/XPath" targetNamespace="daling"&gt;
 &lt;process id="daling" name="name_daling" isExecutable="true" activiti:candidateStarterUsers="a,b,c,d"&gt;
  &lt;userTask id="usertask2" name="usertask2" activiti:assignee="c"&gt;&lt;/userTask&gt;
  &lt;userTask id="usertask3" name="usertask3"&gt;&lt;/userTask&gt;
  &lt;sequenceFlow id="flow4" sourceRef="usertask2" targetRef="usertask3"&gt;&lt;/sequenceFlow&gt;
  &lt;userTask id="usertask4" name="usertask4"&gt;&lt;/userTask&gt;
  &lt;sequenceFlow id="flow5" sourceRef="usertask3" targetRef="usertask4"&gt;&lt;/sequenceFlow&gt;
  &lt;userTask id="usertask5" name="usertask5"&gt;&lt;/userTask&gt;
  &lt;sequenceFlow id="flow6" sourceRef="usertask4" targetRef="usertask5"&gt;&lt;/sequenceFlow&gt;
  &lt;endEvent id="endevent1" name="End"&gt;&lt;/endEvent&gt;
  &lt;sequenceFlow id="flow7" sourceRef="usertask5" targetRef="endevent1"&gt;&lt;/sequenceFlow&gt;
  &lt;startEvent id="startevent1" name="Start"&gt;&lt;/startEvent&gt;
  &lt;sequenceFlow id="flow8" sourceRef="startevent1" targetRef="usertask2"&gt;&lt;/sequenceFlow&gt;
 &lt;/process&gt;
 &lt;bpmndi:BPMNDiagram id="BPMNDiagram_daling"&gt;
  &lt;bpmndi:BPMNPlane bpmnElement="daling" id="BPMNPlane_daling"&gt;
   &lt;bpmndi:BPMNShape bpmnElement="usertask2" id="BPMNShape_usertask2"&gt;
    &lt;omgdc:Bounds height="55.0" width="105.0" x="300.0" y="90.0"&gt;&lt;/omgdc:Bounds&gt;
   &lt;/bpmndi:BPMNShape&gt;
   &lt;bpmndi:BPMNShape bpmnElement="usertask3" id="BPMNShape_usertask3"&gt;
    &lt;omgdc:Bounds height="55.0" width="105.0" x="450.0" y="90.0"&gt;&lt;/omgdc:Bounds&gt;
   &lt;/bpmndi:BPMNShape&gt;
   &lt;bpmndi:BPMNShape bpmnElement="usertask4" id="BPMNShape_usertask4"&gt;
    &lt;omgdc:Bounds height="55.0" width="105.0" x="600.0" y="90.0"&gt;&lt;/omgdc:Bounds&gt;
   &lt;/bpmndi:BPMNShape&gt;
   &lt;bpmndi:BPMNShape bpmnElement="usertask5" id="BPMNShape_usertask5"&gt;
    &lt;omgdc:Bounds height="55.0" width="105.0" x="750.0" y="90.0"&gt;&lt;/omgdc:Bounds&gt;
   &lt;/bpmndi:BPMNShape&gt;
   &lt;bpmndi:BPMNShape bpmnElement="endevent1" id="BPMNShape_endevent1"&gt;
    &lt;omgdc:Bounds height="35.0" width="35.0" x="900.0" y="100.0"&gt;&lt;/omgdc:Bounds&gt;
   &lt;/bpmndi:BPMNShape&gt;
   &lt;bpmndi:BPMNShape bpmnElement="startevent1" id="BPMNShape_startevent1"&gt;
    &lt;omgdc:Bounds height="35.0" width="35.0" x="140.0" y="90.0"&gt;&lt;/omgdc:Bounds&gt;
   &lt;/bpmndi:BPMNShape&gt;
   &lt;bpmndi:BPMNEdge bpmnElement="flow4" id="BPMNEdge_flow4"&gt;
    &lt;omgdi:waypoint x="405.0" y="117.0"&gt;&lt;/omgdi:waypoint&gt;
    &lt;omgdi:waypoint x="450.0" y="117.0"&gt;&lt;/omgdi:waypoint&gt;
   &lt;/bpmndi:BPMNEdge&gt;
   &lt;bpmndi:BPMNEdge bpmnElement="flow5" id="BPMNEdge_flow5"&gt;
    &lt;omgdi:waypoint x="555.0" y="117.0"&gt;&lt;/omgdi:waypoint&gt;
    &lt;omgdi:waypoint x="600.0" y="117.0"&gt;&lt;/omgdi:waypoint&gt;
   &lt;/bpmndi:BPMNEdge&gt;
   &lt;bpmndi:BPMNEdge bpmnElement="flow6" id="BPMNEdge_flow6"&gt;
    &lt;omgdi:waypoint x="705.0" y="117.0"&gt;&lt;/omgdi:waypoint&gt;
    &lt;omgdi:waypoint x="750.0" y="117.0"&gt;&lt;/omgdi:waypoint&gt;
   &lt;/bpmndi:BPMNEdge&gt;
   &lt;bpmndi:BPMNEdge bpmnElement="flow7" id="BPMNEdge_flow7"&gt;
    &lt;omgdi:waypoint x="855.0" y="117.0"&gt;&lt;/omgdi:waypoint&gt;
    &lt;omgdi:waypoint x="900.0" y="117.0"&gt;&lt;/omgdi:waypoint&gt;
   &lt;/bpmndi:BPMNEdge&gt;
   &lt;bpmndi:BPMNEdge bpmnElement="flow8" id="BPMNEdge_flow8"&gt;
    &lt;omgdi:waypoint x="175.0" y="107.0"&gt;&lt;/omgdi:waypoint&gt;
    &lt;omgdi:waypoint x="300.0" y="117.0"&gt;&lt;/omgdi:waypoint&gt;
   &lt;/bpmndi:BPMNEdge&gt;
  &lt;/bpmndi:BPMNPlane&gt;
 &lt;/bpmndi:BPMNDiagram&gt;
&lt;/definitions&gt;</pre>
<p>1.1.1.3. <strong>代码实现</strong></p>
<pre>
package com.daling.ch1.jd;
import java.util.Iterator;
import java.util.Map;
import org.activiti.engine.impl.context.Context;
import org.activiti.engine.impl.interceptor.Command;
import org.activiti.engine.impl.interceptor.CommandContext;
import org.activiti.engine.impl.persistence.entity.ExecutionEntity;
import org.activiti.engine.impl.persistence.entity.ExecutionEntityManager;
import org.activiti.engine.impl.persistence.entity.TaskEntity;
import org.activiti.engine.impl.pvm.process.ActivityImpl;
/**
 *
 * JD节点的跳转
 * 分享牛原创(尊重原创 转载对的时候第一行请注明，转载出处来自分享牛http://blog.csdn.net/qq_30739519)
 */
public class JDJumpTaskCmd implements Command&lt;Void&gt; {
protected String executionId;
protected ActivityImpl desActivity;
protected Map&lt;String, Object&gt; paramvar;
protected ActivityImpl currentActivity;
/**
 * 分享牛原创(尊重原创 转载对的时候第一行请注明，转载出处来自分享牛http://blog.csdn.net/qq_30739519)
 */
public Void execute(CommandContext commandContext) {
ExecutionEntityManager executionEntityManager = Context
.getCommandContext().getExecutionEntityManager();
// 获取当前流程的executionId，因为在并发的情况下executionId是唯一的。
ExecutionEntity executionEntity = executionEntityManager
.findExecutionById(executionId);
executionEntity.setVariables(paramvar);
executionEntity.setEventSource(this.currentActivity);
executionEntity.setActivity(this.currentActivity);
// 根据executionId 获取Task
Iterator&lt;TaskEntity&gt; localIterator = Context.getCommandContext()
.getTaskEntityManager()
.findTasksByExecutionId(this.executionId).iterator();
while (localIterator.hasNext()) {
TaskEntity taskEntity = (TaskEntity) localIterator.next();
// 触发任务监听
taskEntity.fireEvent("complete");
// 删除任务的原因
Context.getCommandContext().getTaskEntityManager()
.deleteTask(taskEntity, "completed", false);
}
executionEntity.executeActivity(this.desActivity);
return null;
}
/**
 * 构造参数 可以根据自己的业务需要添加更多的字段
 * 分享牛原创(尊重原创 转载对的时候第一行请注明，转载出处来自分享牛http://blog.csdn.net/qq_30739519)
 * @param executionId
 * @param desActivity
 * @param paramvar
 * @param currentActivity
 */
public JDJumpTaskCmd(String executionId, ActivityImpl desActivity,
Map&lt;String, Object&gt; paramvar, ActivityImpl currentActivity) {
this.executionId = executionId;
this.desActivity = desActivity;
this.paramvar = paramvar;
this.currentActivity = currentActivity;
}
} </pre>
<p>1.1.1.4. <strong>使用</strong></p>
<p>我们先让流程运转到usertask3节点的时候开始测试跳转。</p>
<p>怎么使用上面的JDJumpTaskCmd类呢，直接new JDJumpTaskCmd()调用，肯定不行了，因为activiti引擎程序没有获取，肯定报错，正确的的使用方式如下：</p>
<p>1.1.1.4.1. <strong>第一种方式</strong></p>
<p>我们先来观察一下数据库ACT_RU_TASK表任务的记录信息，方便我们的操作，数据库记录如下图所示：</p>
<p> <img src="/assets/blank.gif" data-echo="//pic.ikafan.com/imgp/L3Byb3h5L2h0dHBzL3l1bnFpLXRlY2gub3NzLWNuLWhhbmd6aG91LmFsaXl1bmNzLmNvbS8yMDE2MDQyNjExMTk1MDcxLmpwZw==.jpg"></p>
<p>可以看到当前的节点在usertask3，我们现在把usertask3跳转到usertask5节点，看是否能成功，因为usertask3到usertask5没有连线，如果成功了，就说明我们这个方法正确。</p>
<p>执行下面的代码，根据自己的数据库信息修改相对应的值即可。</p>
<pre>
Map&lt;String, Object&gt; vars = new HashMap&lt;String, Object&gt;();
String[] v = { "shareniu1", "shareniu2", "shareniu3", "shareniu4" };
vars.put("assigneeList", Arrays.asList(v));
//分享牛原创(尊重原创 转载对的时候第一行请注明，转载出处来自分享牛http://blog.csdn.net/qq_30739519)
RepositoryService repositoryService = demo.getRepositoryService();
ReadOnlyProcessDefinition processDefinitionEntity = (ReadOnlyProcessDefinition) repositoryService
.getProcessDefinition("daling:29:137504");
// 目标节点
ActivityImpl destinationActivity = (ActivityImpl) processDefinitionEntity
.findActivity("usertask5");
String executionId = "137509";
// 当前节点
  ActivityImpl currentActivity = (ActivityImpl)processDefinitionEntity
   .findActivity("usertask3");
demo.getManagementService().executeCommand(
new JDJumpTaskCmd(executionId, destinationActivity, vars,
currentActivity)); </pre>
<p>执行上面的代码之后，我们看一下数据库中的记录。</p>
<p> <img src="/assets/blank.gif" data-echo="//pic.ikafan.com/imgp/L3Byb3h5L2h0dHBzL3l1bnFpLXRlY2gub3NzLWNuLWhhbmd6aG91LmFsaXl1bmNzLmNvbS8yMDE2MDQyNjExMTk1MDcyLmpwZw==.jpg"></p>
<p>节点确实跳转到了usertask5。ok了这个方法确实可以没问题，下面说一下第二种方式执行executeCommand命令。</p>
<p>1.1.1.4.2. <strong>第二种方式</strong></p>
<pre>
Map&lt;String, Object&gt; vars = new HashMap&lt;String, Object&gt;();
String[] v = { "shareniu1", "shareniu2", "shareniu3", "shareniu4" };
vars.put("assigneeList", Arrays.asList(v));
//分享牛原创(尊重原创 转载对的时候第一行请注明，转载出处来自分享牛http://blog.csdn.net/qq_30739519)
  CommandExecutor commandExecutor = taskServiceImpl
   .getCommandExecutor();
  commandExecutor.execute(new JDJumpTaskCmd(executionId,
   destinationActivity, vars, currentActivity)); </pre>
<p>上面的两种方式都可以执行自定义的Command子类。读者选择自己喜欢使用的方式即可。</p>
<p><strong>1.1.2. 小结</strong></p>
<p>1.任意节点的跳转，前提是节点必须在模板定义中。</p>
<p>2.任意节点的跳转暂时不能跨流程跳转。</p>
<p>3.任意节点的跳转不需要连线即可、</p>
<p>4.任意节点的跳转可以实现回退、转办、转阅、越级上报、一步到底等等功能，关于这些更多的实战，我们将在最后的工作流实战项目中一步步封装。使用。</p>
<p>以上所述是小编给大家介绍的activiti节点跳转的相关知识，希望对大家有所帮助！</p>
<p>以上是小编为您精心准备的的内容，在的博客、问答、公众号、人物、课程等栏目也有的相关内容，欢迎继续使用右上角搜索按钮进行搜索activiti节点跳转<br />
                                    activiti节点跳转实现、activiti节点跳转、android开发页面跳转、activiti退回上一节点、activiti获取上一节点，以便于您获取更多的相关知识。</p>				<div id="single_bottom"></div>
<script>insertAdIfNeeded();</script>
				<div id="time"><strong>时间：</strong> 2024-02-20 11:52:04</div>
		
		</article>

		<!-- social network share -->

<!-- 		<div id="tags">
            <strong>Tags:</strong> <a href="https://www.iamivan.net/tag/activiti%e8%8a%82%e7%82%b9%e8%b7%b3%e8%bd%ac/" title="activiti节点跳转">activiti节点跳转</a>        </div> -->
	</section>
	
	

		<div id="similar">

		<h3>Android开发之activiti节点跳转_Android的相关文章</h3>

								<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/zeakZ0z.html" rel="bookmark">Android开发之activiti节点跳转</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				activiti使用的时候,通常需要跟业务紧密的结合在一起,有些业务非常的复杂,比如一个简单的采购流程:流程如下: 供应商上新商品的时候,提交商务审核,商务审核通过提交运营审核,审核失败退回供应商. 运营审核成功提交合同签订.交运营审核审核失败退回商务审核或者直接退回供应商. 合同签订审核通过结束,合同签订审核不通过返回运营审核或者退回商务审核,或者退回供应商. 上面的流程就出现了一个问题,什么问题呢? 我们来观察一下退回线的问题. 1.商务审核退回供应商上新. 2.运营审核可能退回商务审核,运			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/zJOdYvb.html" rel="bookmark">Android开发之Sqliteopenhelper用法实例分析&lowbar;Android</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				本文实例讲述了Android开发之Sqliteopenhelper用法.分享给大家供大家参考.具体分析如下: 如果在安卓开发中,直接使用Activity中的openOrCreateDatabase(name, mode, factory)会有一系列跟随的问题.比如说数据库升级.更新等. 最好是使用其封装版本:SQLiteOpenHelper 继承和扩展SQLiteOpenHelper类主要做的工作就是重写以下两个 方法. onCreate(SQLiteDatabase db) : 当数据库被首次			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/zDkP3Kp.html" rel="bookmark">Android开发之Parcel机制实例分析&lowbar;Android</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				本文实例讲述了Android开发之Parcel机制.分享给大家供大家参考.具体分析如下: 在java中,有序列化机制.但是在安卓设备上,由于内存有限,所以设计了新的序列化机制. Container for a message (data and object references) that can be sent through an IBinder.  A Parcel can contain both flattened data that will be unflattened on t			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/zwXmE5b.html" rel="bookmark">Android开发之ImageLoader使用详解&lowbar;Android</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				先给大家展示效果图,看看是大家想要的效果吗,如果还满意,请参考以下代码: 前言 UniversalImageLoader是用于加载图片的一个开源项目,在其项目介绍中是这么写的, •支持多线程图片加载 •提供丰富的细节配置,比如线程池大小,HTPP请求项,内存和磁盘缓存,图片显示时的参数配置等等: •提供双缓存 •支持加载过程的监听: •提供图片的个性化显示配置接口: •Widget支持(这个,个人觉得没必要写进来,不过尊重原文) 其他类似的项目也有很多,但这个作为github上著名的开源项目被广			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/zVwqdKb.html" rel="bookmark">Android开发之Location用法实例分析&lowbar;Android</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				本文实例讲述了Android开发中Location用法.分享给大家供大家参考,具体如下: Location 在Android 开发中还是经常用到的,如通过经纬度获取天气,根据Location 获取所在地区详细Address (比如Google Map 开发)等.而在Android 中通过LocationManager来获取Location .通常获取Location 有GPS 获取,WIFI 获取. 这边介绍一个简单的小Demo ,来教大家如何获取Location ,从而获取经纬度. 第一步:创			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/pXK2njM.html" rel="bookmark">Android开发之BroadcastReceiver用法实例分析&lowbar;Android</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				本文实例讲述了Android开发中BroadcastReceiver用法.分享给大家供大家参考.具体分析如下: 在Android系统中,广播(Broadcast)是在组件之间传播数据(Intent)的一种机制. Braodcast Receiver顾名思义就是广播接收器,它和事件处理机制类似,但是事件处理机制是程序组件级别的(比如:按钮的单击事件),而广播事件处理机制是系统级别的.我们可以用Intent来启动一个组件,也可以用sendBroadcast()方法发起一个系统级别的事件广播来传递消息			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/p5O6g6b.html" rel="bookmark">Android开发之SQLite的使用方法&lowbar;Android</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				前言 SQLite是一种轻量级的小型数据库,虽然比较小,但是功能相对比较完善,一些常见的数据库基本功能也具有,在现在的嵌入式系统中使用该数据库的比较多,因为它占用系统资源很少.Android系统中也不例外,也是采用SQLite,本节中就学习下在andorid中怎样使用该数据库来存放数据,并且对SQLite完成简单的新建,更新,查询,删除等操作. 实验说明: Android中使用SQLite数据库时,需要用adb来辅助调试,如果想在windows下的cmd命令行中使用adb,必须先配置环境变量,我			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/M94mAob.html" rel="bookmark">Android开发之ListView实现Item局部刷新&lowbar;Android</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				对于android中的ListView刷新机制,大多数的程序员都是很熟悉的,修改或者添加adapter中的数据源之后,然后调用notifyDataSetChanged()刷新ListView.在这种模式下,我们会在getView中,根据不同的数据源,让控件显示不同的内容.这种模式是最常见的刷新模式,当我们来回滑动ListView的时候,调用adapter的getView方法,然后listview对adapter返回的View进行绘制.这种模式下,View的显示内容或状态都记录在adapter里面			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/MxE2Gmp.html" rel="bookmark">Android 开发之dataBinding与ListView及事件&lowbar;Android</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				2015年Google IO大会分布了DataBinding库,能够更快捷便利的实现MVVM结构模式.但是,通过对DataBinding的学习,其中踩过得坑,今天要在这里记录一下.对于DataBinding一些比较基础的使用,在这里就不在记录了,毕竟现在Google一下,出来很多的教程,而且,android developer官网中,也已经对其基本使用方法做了详细介绍,有英语基础的童鞋,还是去看比较官方的文章.如果英文基础不太好的,https://realm.io/cn/news/data-bi			</div>
		</article>
	</section>
	
	</div><!-- /related -->
	


</div>
<!-- /main -->


<aside class="col-md-4">



	<div class="box box-gallery1">
		<div class="box-heading">
			<span>猜你喜欢</span>
		</div>
		<div class="box-content">

									<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/vbQoy0p.html" rel="bookmark" class="title">PHP开发网站常用的21种功能的代码汇总</a>
					<div>
						PHP 是目前使用最广泛的基于 Web 的编程语言,驱动着数以百万计的网站,其中也包括如 Facebook 等一些大型站点.这里收集了 21 段实用便捷的 PHP 代码摘录,对每种类型的 PHP 开发 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/aM64GWz.html" rel="bookmark" class="title">关于access数据库表改名的一段代码&comma;希望对大家有用</a>
					<div>
						access|数据|数据库 &lt;%Call RenameTable(&quot;Provider=Microsoft.Jet.OLEDB.4.0; DataSource=c:\example.md ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/qMqPy3b.html" rel="bookmark" class="title">seo3&period;0要做的八大搜索引擎细节</a>
					<div>
						一.底部穿插回连 我相信这一条在早期的seoer人中很多都这样做了,因为搜索引擎的初期,信息量严重不足,不会有那么多评判标准,而且,这样在网站底部增加回连,可以增加关键词的受众导向,但是随着搜索引擎数 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/b2ynB3z.html" rel="bookmark" class="title">WINFORM中绑定对象支持排序功能</a>
					<div>
						在很久很久以前,DataSet操作是.Net中的一个重要使用手段,其实现在也是 . 在很久很久以前,我的项目操作方式是通过数据Fill一个DataSet,之后返回 给业务层做处理,之后给页面去显示.  ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MlBVBOz.html" rel="bookmark" class="title">深入理解javascript原型链和继承</a>
					<div>
						 javascript本身不是面向对象的语言,而是基于对象的语言,对于习惯了其他OO语言的人来说,起初有些不适应,因为在这里没有&quot;类&quot;的概念,或者说&quot;类&quot;和&q ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pmGm0qb.html" rel="bookmark" class="title">百度网盘自动备份怎么设置</a>
					<div>
						  1.在百度网盘的主界面右商家菜单按钮,选择设置功能; 图1 百度网盘软件主界面 图2 打开百度网盘设置选项 2.在设置面板中,找到&quot;高级&quot;设置,选择自动备份文件夹管理选项; 图 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pLaDOAz.html" rel="bookmark" class="title">查询局域网IP所在的网段</a>
					<div>
						  在Win7系统中,如何查询局域网IP所在的网段呢? 第1步:找到&quot;开始&quot;菜单,在&quot;搜索&quot;中输入cmd,按[Enter]键可以打开&quot;命令提示符&qu ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/b24DmQp.html" rel="bookmark" class="title">Vim编辑器的配置</a>
					<div>
						vim作为linux下相当常用的编辑器拥有着数不尽的追随者,可是繁琐的vim配置却让无数新手头疼不已. 网上固然有很多的博客讲述了如何配置vim作为ide来用的,但是由于时间关系,很多插件更新换代.更 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/p5oJ9Ab.html" rel="bookmark" class="title">iOS设计模式之中介者模式</a>
					<div>
						中介者模式 基本理解 中介者模式又叫做调停者模式,其实就是中间人或者调停者的意思. 尽管将一个系统分割成许多对象通常可以增加可复用性,但是对象之间的连接又降低了可复用性. 如果两个类不必彼此直接通信, ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bBZd24b.html" rel="bookmark" class="title">Jekyll 博客主题 jekyll-bootstrap-blog 更新，支持语法高亮</a>
					<div>
						New Features and Enhancements Todey, there are two features added in jekyll-bootstrap-blog: Syntax H ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bE6jAZM.html" rel="bookmark" class="title">推荐几个我日常使用的IT在线测试工具</a>
					<div>
						1,www.just-ping.com 在判断网络故障的范围上很有用.也可以知道自己网络节点对全球主要城市的可访问性. 2,http://www.webpagetest.org/ 可以知道自己的网站在 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bamOYnb.html" rel="bookmark" class="title">双面趣店：罗敏的原罪与投资机构的加持</a>
					<div>
						趣店创始人罗敏的微博注册于2014年12月15日,时至今日,仅有一条提示其2017年2月17日生日的微博,除此之外,一片空白,彰显着貌似低调的性格.然而,近日,趣店上市之后,包括趣店投资人.创始人等众 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/z7YONAM.html" rel="bookmark" class="title">oc-请大神看看 这是哪里出的毛病 刚刚学OC 跟视频里的代码一样 为啥我这个总是报错啊？</a>
					<div>
						问题描述 请大神看看 这是哪里出的毛病 刚刚学OC 跟视频里的代码一样 为啥我这个总是报错啊? 这是xcode6.3里的代码: #import int main() { NSlog(@&quot;第一 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MrXqXWz.html" rel="bookmark" class="title">ajax-jquery &dollar;&period;post 或者&dollar;&period;get回调函数的参数值有没有办法取出来</a>
					<div>
						问题描述 jquery $.post 或者$.get回调函数的参数值有没有办法取出来 例如 var ajaxData=[]; $.post(&quot;/echarts/loginAction&quo ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/M1r0KKp.html" rel="bookmark" class="title">操作系统-centos6&period;6误删除&sol;usr&sol;lib&sol;&ast;，该怎么恢复&excl;&excl;</a>
					<div>
						问题描述 centos6.6误删除/usr/lib/*,该怎么恢复!! 不小心删除了/usr/lib下的所有文件,我该怎么恢复?? 一些系统的命令都不能用,比如说yum,rpm. 感谢各位的帮助,不知 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/p8AKYVz.html" rel="bookmark" class="title">做淘宝客失败原因分析和成功攻略</a>
					<div>
						中介交易 http://www.aliyun.com/zixun/aggregation/6858.html&quot;&gt;SEO诊断 淘宝客 云主机 技术大厅 淘宝客火的可不是一天两天了.做淘宝 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MgR8gOb.html" rel="bookmark" class="title">Probability Distributions</a>
					<div>
						Refer to R Tutorial andExercise Solution A probability distribution describes how the values of a ra ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/z7Za7Zp.html" rel="bookmark" class="title">闾丘露薇、吴晓波等众名人担任网易新闻客户端封面人物</a>
					<div>
						(配图-开机画面人物)近日,著名记者闾丘露薇.财经作家吴晓波,以及地产界&quot;思想家&quot;冯仑等知名人士陆续亮相网易新闻客户端开机封面,担任封面人物.用户启动网易新闻客户端后,大约3秒的开 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pX00nyp.html" rel="bookmark" class="title">matlab-怎么用用MATLAB获取一组随即向量的自相关矩阵？</a>
					<div>
						问题描述 怎么用用MATLAB获取一组随即向量的自相关矩阵? 对UWB信号进行分段,各段具有相同的统计结构,如何求取这个相同的统计结构,即自相关矩阵?					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bK5LdZp.html" rel="bookmark" class="title">android studio 报&amp;amp&semi;amp&semi;&num;39&semi;jdk1&period;8&bsol;bin&bsol;java&period;exe&amp;amp&semi;amp&semi;&num;39&semi;&amp;amp&semi;amp&semi;&num;39&semi;&period;&period;&period;</a>
					<div>
						问题描述 android studio 报'jdk1.8binjava.exe''... FAILURE: Build failed with an exception. What went wron ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/M60jqXz.html" rel="bookmark" class="title">asp-我想请教一下，ASP&comma; JS的执行顺序</a>
					<div>
						问题描述 我想请教一下,ASP, JS的执行顺序 &lt;html&gt; &lt;head&gt; 引入JQ 略 &lt;script&gt; $.ajax({ url : &quot;temp.a ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MNv8PxM.html" rel="bookmark" class="title">Linux系统下PHP安装配置教程</a>
					<div>
						PHP安装 # yum -y install gcc gcc-c++ libxml2 libxml2-devel autoconf libjpeg libjpeg-devel libpng libpn ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MW7oEqM.html" rel="bookmark" class="title">django1&period;8使用表单上传文件的实现方法&lowbar;python</a>
					<div>
						Python下有许多款不同的 Web 框架.Django是重量级选手中最有代表性的一位.许多成功的网站和APP都基于Django. Django是一个开放源代码的Web应用框架,由Python写成.  ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pk0noyz.html" rel="bookmark" class="title">mysql 改变表table的字符集sql语句</a>
					<div>
						正确的改变table字符集的语句是: alter table xxx convert to character set utf8; 而不是想当然的: alter table xxx default c ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/p8NDe3b.html" rel="bookmark" class="title">大概-故障诊断方面的问题，求程序</a>
					<div>
						问题描述 故障诊断方面的问题,求程序 对电流信号所对应的Par对电流信号所对应的Park矢量模平方进行离散小波变换,画出中心频率在0~10hz之间的一个或多个小波变换结果曲线?					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/p5Ql9np.html" rel="bookmark" class="title">编程超过 30 年，我是如何避开倦怠期的？</a>
					<div>
						我读了一些关于程序员的对编程感到倦怠的文章,读完后我开始思考为什么我在工作了这么多年之后(从 1981 年开始),还依然对编程充满兴趣.为什么我依然喜欢写代码? 当然,在三年前我写的&lt;是的,56 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zG1EoeM.html" rel="bookmark" class="title">你最应该关注的 Android 隐藏功能</a>
					<div>
						近场通讯技术(NFC)是移动领域里一种新兴的技术趋势,但实际上并没有多少用户会是经常使用自己手机里的这项功能,更别提看到它完全的潜力了. 我们都知道NFC的工作方式,但它最优秀的应用之一依然还处于隐藏 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MqgX6Rz.html" rel="bookmark" class="title">多特自命老二，华军与天空算老几</a>
					<div>
						中介交易 http://www.aliyun.com/zixun/aggregation/6858.html&quot;&gt;SEO诊断 淘宝客 云主机 技术大厅 今日,某网友突然于QQ上发截图向我 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zJeLD6p.html" rel="bookmark" class="title">concepts 阅读总结2&mdash;&mdash;存储</a>
					<div>
						1.可用空间管理: 首先说明这里的可用空间和块中的&quot;可用空间区&quot;不是一个概念,这里是指段里的没有被用的可用空间,段内已用与可用空间以位图(bitmap)的形式记录,但是可用块是以另 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pPOVyrM.html" rel="bookmark" class="title">半年研发&OpenCurlyDoubleQuote;吞并&rdquo;千亿级市场，一文详解Facebook的电信通讯梦</a>
					<div>
						2016年的一天,Facebook的工程师小组在沙发交流讨论时提出了一个全新观点,试图开辟出一条前人没有走过的道路,颠覆价值3500亿美元的电讯通信市场. 工程师指出:&quot;其实,建立起一个属于 ...					</div>
				</div>
			</div>
			
		</div>
	</div>

	<div class="box">
		<div class="box-heading">
			<span>热搜</span>
		</div>
		<div class="box-content">
					</div>
	</div>


</aside>
      </div>
    </div>
    <!-- /.container -->

    <div id="copyright">
      <div class="pull-left">
        &#169; 2024 iVAN        | info#iamivan.net        | 11 q. 0.038 s.
      </div>

    </div>

  </div><!--/.wrapper -->


  <!-- <script src="/assets/js/jquery.js"></script>
  <script src="/assets/js/bootstrap.min.js"></script> -->
  <div style=" display: none ";>
  </div>

<script src="/assets/js/echo.js"></script>
<script>
    echo.init({
      offset: 100,
      throttle: 250,
      unload: false,
      callback: function (element, op) {
        console.log(element, 'has been', op + 'ed')
      }
    });
    </script>
</body>
</html>
